Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateSupergroupChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chat>
it.tdlight.jni.TdApi.CreateSupergroupChat

Enclosing class:
  TdApi

public static final class TdApi.CreateSupergroupChat extends TdApi.Function<TdApi.Chat>
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`force`
If true, the chat will be created without network request.
`long`
`supergroupId`
Supergroup or channel identifier.

## Constructor Summary

Constructors
Constructor
Description
`CreateSupergroupChat()`
Returns an existing chat corresponding to a known supergroup or channel.
`CreateSupergroupChat(long supergroupId, boolean force)`
Returns an existing chat corresponding to a known supergroup or channel.
`CreateSupergroupChat(DataInput input)`
Returns an existing chat corresponding to a known supergroup or channel.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### supergroupId

public long supergroupId
Supergroup or channel identifier.

### force

public boolean force
If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CreateSupergroupChat

public CreateSupergroupChat()
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

### CreateSupergroupChat

public CreateSupergroupChat(long supergroupId, boolean force)
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

Parameters:
  `supergroupId` - long Supergroup or channel identifier.
  `force` - boolean If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

### CreateSupergroupChat

public CreateSupergroupChat(DataInput input) throws IOException
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`